<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="theme-color" content="#342345">
  <title> {% block title %} TUGAS AKHIR of LAW_KEMAS {% endblock %}</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link href='https://fonts.googleapis.com/css?family=Raleway:900|Raleway' rel='stylesheet'>
  <meta name="viewport" content="initial-scale=1.0, width=device-width" />
</head>

<body>
  <header>
  </header>
  <content>
    <section name="container" class="content">
      <h3>Server Time: <i id="time">Loading...</i></h3>
      <div class="progress-section">
        <div class="center margin-top-20 margin-bottom-10">
          <h1>Progress Page</h1>
        </div>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">url</th>
              <th scope="col">download</th>
            </tr>
          </thead>
          <tbody>
            {% for url in urls %}
            <tr>
              <th scope="row"><a href="/detail/{{ utang.id }}">{{ forloop.counter }}</a></th>
              <td>{{ url.url }}</td>
              <td id="{{ url.download }}">0 %</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
      <br>
      <br>
      <h2>Compression Status</h2>
      <p id="compression">Compression hasn't started yet...</p>
      <br>
      <br>
      <p>URL to download the compressed result: </p>
      <p id="link">url not ready yet...</p>
    </section>
  </content>
  <footer>
  </footer>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
  <script type = "text/javascript">
    WebSocketImplementation();
    function WebSocketImplementation() {
      if ("WebSocket" in window) {
        var ws_stomp_display = new SockJS('http://152.118.148.95:15674/stomp');
        var client_display = Stomp.over(ws_stomp_display);
        var topic_time = "/exchange/1606831035_TOPIC/time";
        var topic_compression = "/exchange/1606831035_TOPIC/compression";
        var topic_link = "/exchange/1606831035_TOPIC/link";
        var topic_download = "/exchange/1606831035_TOPIC/download";
        var on_connect_display = function() {
          console.log('connected');
          client_display.subscribe(topic_time, time_display);
          client_display.subscribe(topic_compression, compression_display);
          client_display.subscribe(topic_link, link_display);
          client_display.subscribe(topic_download, download_display);
        };
        var on_error_display = function() {
          console.log('error');
        };
        var time_display = function(m) {
          $('#time').html(m.body);
        }
        var compression_display = function(m) {
          $('#compression').html(m.body + " %");
        }
        var link_display = function(m) {
          $('#link').html("<a href='" + m.body + "'>" + m.body + "</a>");
        }
        var download_display = function(m) {
          var msg = m.body.split(" ");
          if (msg[0] == "1") {
            $('#download1').html(msg[1] + " %");
          } else if (msg[0] == "2") {
            $('#download2').html(msg[1] + " %");
          } else if (msg[0] == "3") {
            $('#download3').html(msg[1] + " %");
          } else if (msg[0] == "4") {
            $('#download4').html(msg[1] + " %");
          } else if (msg[0] == "5") {
            $('#download5').html(msg[1] + " %");
          } else if (msg[0] == "6") {
            $('#download6').html(msg[1] + " %");
          } else if (msg[0] == "7") {
            $('#download7').html(msg[1] + " %");
          } else if (msg[0] == "8") {
            $('#download8').html(msg[1] + " %");
          } else if (msg[0] == "9") {
            $('#download9').html(msg[1] + " %");
          } else if (msg[0] == "10") {
            $('#download10').html(msg[1] + " %");
          }
        };
        client_display.connect('0806444524', '0806444524', on_connect_display, on_error_display, '/0806444524');
      } else {
        alert("WebSocket NOT supported by your Browser!");
      }
    }
  </script>

</body>
